# std::_SClos< _Expr, _Dom > Struct Template Reference

Inheritance diagram for std::_SClos< _Expr, _Dom >:

List of all members.

## Detailed Description

### template<class _Dom>
struct std::_SClos< _Expr, _Dom >

Definition at line 714 of file valarray_before.h.

## Public Types

- typedef _SBase< _Dom > _Base
- typedef _Base::value_type value_type

## Public Member Functions

- _SClos (const _Dom &__e, const slice &__s)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h